#ifndef dlgsend_HH
#define dlgsend_HH

#include <wx/dialog.h>
#include <string>

using std::string;

class wxButton;
class wxChoice;
class wxHtmlWindow;
class wxCommandEvent;

enum proto {
   p_raw,
   p_xmodem,
   p_ymodem,
};

class DlgSend : public wxDialog
{
public:
   DlgSend() {}

   void Init();

   string GetFile    () { return fname; }
   int    GetProto   () { return proto; }

private:
   void OnSelectFile (wxCommandEvent &);
   void OnProtocol   (wxCommandEvent &);

	void UpdateFileDetails ();

private:
   wxButton    *btnFile;
   wxButton    *btnStart;
   wxButton    *btnCancel;
   wxChoice    *chProtocol;
   wxHtmlWindow  *hwFile;

   string      fname;
   int         proto;

private:
   DECLARE_EVENT_TABLE()
};

#endif // dlgsend_HH
