#ifndef frmmain_HH
#define frmmain_HH

#include <wx/frame.h>

#include <string>

using std::string;

class wxStatusBar;
class ComPort;
class VTETerm;

class wxCharEvent;

class FrmMain : public wxFrame
{
public:
	FrmMain		();

private:
	void Setup  ();
	void SetupStatusBar (int client_width);
	void UpdateDCEFlags (int modem_flags);

private:
	VTETerm           *t;
	wxStatusBar       *sb;
	ComPort           *p;
	wxTimer           tim;

private:
	void RawTransfert (const string &);

private:
	void OnSend       (wxCommandEvent&);
	void OnQuit       (wxCommandEvent&);
	void OnClear      (wxCommandEvent&);
	void OnPref       (wxCommandEvent&);
	void OnAbout      (wxCommandEvent&);
	void OnSendBreak  (wxCommandEvent&);
	void OnToggleDTR  (wxCommandEvent&);
	void OnToggleRTS  (wxCommandEvent&);

	void OnKeyDown    (wxKeyEvent &);
	void OnKeyUp      (wxKeyEvent &);

	void OnSize       (wxSizeEvent &);

	void OnIdle       (wxIdleEvent &);

	void OnThread     (wxCommandEvent& event);

	void OnTimer      (wxTimerEvent& event);

	void OnClose      (wxCloseEvent &);

	private:
	DECLARE_EVENT_TABLE()

	string            buff;
	bool              rx_enabled, tx_enabled, ctrl;
};

#endif // frmmain_HH

