#ifndef THREAD_HH
#define THREAD_HH

#include <wx/thread.h>

class wxEvtHandler;

enum evtid {
   evt_log=2000,
   evt_end,
   evt_del,
};

class Thread: public wxThread
{
protected:
   wxEvtHandler* m_pParent;

public:
   Thread (wxEvtHandler* pParent) : wxThread(), m_pParent(pParent) {}

   void Start ();

   /* events for UI logging */
   void EvtMsg (const wxString &sz);
   void EvtDbg (const wxString &sz);
   void EvtEnd ();
   void EvtDel ();

protected:
   virtual wxThread::ExitCode Entry()=0;
};

#endif // THREAD_HH
