#ifndef vteterm_HH
#define vteterm_HH

#include <wx/control.h>
#include <string>

using std::string;

class wxWindow;

class VTETerm : public wxControl {
public:
   VTETerm ();
   VTETerm (   wxWindow *parent,
               wxWindowID id,const wxString &label,
               const wxPoint &pos = wxDefaultPosition,
               const wxSize &size = wxDefaultSize,
               long style = 0,
               const wxString &name = "" );

   bool Create (  wxWindow *parent,
                  wxWindowID id,
                  const wxString &label,
                  const wxPoint &pos = wxDefaultPosition,
                  const wxSize &size = wxDefaultSize,
                  long style = 0,
                  const wxString &name = "" );

   void SetBufferLines (int lines);

   int  GetCharWidth ();
   int  GetCharHeight();

   // overriden base virtuals
   virtual bool HasTransparentBackground() { return false; }

   void write (const string&, int len);
   void clear ();

private:
   virtual void DoSetSize(int x, int y,
                        int width, int height,
                        int sizeFlags = wxSIZE_AUTO);

   virtual wxSize DoGetBestSize() const;

   string WxFontStringToPango (const string &f);

public:
   void SetColours (const char *fg, const char *bg);
   void SetFont    (const string &f);
};

#endif // vteterm
