/*
 * Thread support, pthread c++ wrapper
 *
 * Main UI implementatiuon
 *
 * (C) Copyright 2011 Angelo Dureghello <angelo70@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include "thread.hh"
#include <wx/event.h>

void Thread::Start()
{
   Create();
   Run   ();
}

void Thread::EvtMsg (const wxString &sz)
{
   wxCommandEvent evt(wxEVT_THREAD, evt_log);

   evt.SetString (sz);
   m_pParent->AddPendingEvent(evt);
}

void Thread::EvtDbg (const wxString &sz)
{
#ifdef DEBUG
    EvtMsg(sz);
#endif
}

void Thread::EvtEnd ()
{
   wxCommandEvent evt(wxEVT_THREAD, evt_end);

   m_pParent->AddPendingEvent(evt);
}

void Thread::EvtDel ()
{
   wxCommandEvent evt(wxEVT_THREAD, evt_del);

   m_pParent->AddPendingEvent(evt);
}

